Pocket Quran for Android devices v0.91b -- requires Android 1.1+ or later


[updated Nov. 14, 2009]


1330